#
# spec file for package perl-TAP-Formatter-GitHubActions
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name TAP-Formatter-GitHubActions
Name:           perl-TAP-Formatter-GitHubActions
Version:        0.3.4
Release:        1.4
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        TAP Formatter for GitHub Actions
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JG/JGOMEZ/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(TAP::Harness) >= 3.12
Requires:       perl(TAP::Harness) >= 3.12
%{perl_requires}

%description
'TAP::Formatter::GitHubActions' provides GitHub-Actions-compatible output
for _prove_.

It parses TAP output and tries it's best to guess where errors are located.
For more accurate results, use in cojunction with
Test2::Formatter::YAMLEnhancedTAP.

Test2::Formatter::YAMLEnhancedTAP enriches the TAP output generated by
Test2 and friends (Test::More, Test::Most) with an additional context in
YAML format (compliant with TAP version 13) that includes the precise
location of the failure.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md

%changelog
* Fri Dec  8 2023 Tina Müller <tina.mueller@suse.com>
- Initial submission
